#!/bin/sh

#check switch status
for status in `/usr/sbin/GPIO_status`;do
	case "$status" in
	-1)
	;;
	00)
	#print device information
	/APP/DeviceInfo
	#enable UpdateFirmware
	/APP/init.d/UpdateFirmware.sh
	;;
	01)
	#set ip to default temporarily
	/sbin/ifconfig eth0 192.168.1.217 netmask 255.255.255.0
	;;
	02)
	#set ip to default forever
	/bin/cp -aR /default/etc/network/interfaces /etc/network/
	/bin/cp -aR /default/etc/config/card.conf /etc/config/
	/sbin/ifconfig eth0 192.168.1.217 netmask 255.255.255.0
	;;
	03)
	/bin/rm -rf /etc/*
	#Recover factory setting
	/bin/cp -aR /default/etc/* /etc/
	#Recover APP config
	/bin/cp /APP/default/account.conf /APP/config/
	/bin/cp /APP/default/autoconnect.conf /APP/config/
	/bin/cp /APP/default/eventreport.conf /APP/config/
	;;
	esac
done

#html format config
uni2ascii -a D -q /etc/hostinfo.conf > /var/volatile/tmp/hostinfo.conf

#ftp
ls -l /home |grep ftp |grep drwxrwxrwx > /dev/null
if [ $? -ne 0 ]; then
 chmod 777 /home/ftp
fi

#mixer
/APP/init.d/audio_reset
/APP/init.d/audio_init.sh > /dev/null
/bin/smixer -f /etc/smixer.conf

#webcam
#/APP/init.d/webcam-check

#led
/bin/setled 2 1
/bin/setled 1 1


